## xosview 1.5.0

=== linux/memstat/Makefile ===
# Generated automatically from Makefile.linux.memstat.in by configure.
#
# Linux memstat Makefile template
#
#
# $Id: Makefile.linux.memstat.in,v 1.1 1996/09/06 05:04:48 mromberg Exp $
#
CC     = gcc
CFLAGS = -D__KERNEL__ -Wall -Wstrict-prototypes \
         -O2 -fomit-frame-pointer -pipe -DMODULE -DMODVERSIONS
FEXT   = c


OBJS = \
memstat.o

DEPFILES := $(OBJS:%=.%.d)
CFILES := $(OBJS:.o=.$(FEXT))

#-----------------------------------------------------------------------

all: memstat.o

#Memstat.o: memstat.o
#	ld -m elf_i386 -r -o Memstat.o memstat.o

clean :
	rm -f $(DEPFILES) $(EXE) $(OBJS) *~ TAGS Memstat.o

tags TAGS :
	etags $(CFILES) *.h

%.o : %.$(FEXT)
	$(CC) $(CFLAGS) -c $< -o $@

.%.o.d : %.$(FEXT)
	@echo building dependencies for $<
	@$(SHELL) -ec '$(CC) -MM $(CFLAGS) $< \
          | sed '\''s/$*.o/$*.o $@/'\'' > $@'
