## xosview 1.8.0

=== linux/memstat/Makefile ===
--- 
+++ 
@@ -3,11 +3,13 @@
 # Linux memstat Makefile template
 #
 #
-# $Id: Makefile.linux.memstat.in,v 1.1 1996/09/06 05:04:48 mromberg Exp $
+# $Id$
 #
 CC     = gcc
-CFLAGS = -D__KERNEL__ -Wall -Wstrict-prototypes \
-         -O2 -fomit-frame-pointer -pipe -DMODULE -DMODVERSIONS
+# For some reason (which I am not sure of now), /usr/src/linux/include
+# needs to be added to the search patch or things break.
+CFLAGS = -D__KERNEL__ -Wall -Wstrict-prototypes -I/usr/src/linux/include \
+         -O2 -fomit-frame-pointer -pipe -DMODULE  
 FEXT   = c
 
 
@@ -30,6 +32,9 @@
 tags TAGS :
 	etags $(CFILES) *.h
 
+%.o : %-2.4.$(FEXT)
+	$(CC) $(CFLAGS) -c $< -o $@
+
 %.o : %.$(FEXT)
 	$(CC) $(CFLAGS) -c $< -o $@
