## xosview 1.8.2

=== linux/memstat/Makefile ===
--- 
+++ 
@@ -1,4 +1,3 @@
-# Generated automatically from Makefile.linux.memstat.in by configure.
 #
 # Linux memstat Makefile template
 #
@@ -32,7 +31,7 @@
 tags TAGS :
 	etags $(CFILES) *.h
 
-%.o : %-2.4.$(FEXT)
+%.o : %-2.6.$(FEXT)
 	$(CC) $(CFLAGS) -c $< -o $@
 
 %.o : %.$(FEXT)
