=== debian/changelog ===
xosview (1.8.3+debian-21) unstable; urgency=low

  * debian/source/format:
    + Added to use source format 3.0 (quilt)
  * debian/watch:
    + Fixed dversionmangle format
  * Update debian/compat to 7

 -- Kartik Mistry <kartik@debian.org>  Tue, 01 Jun 2010 20:02:57 +0530

xosview (1.8.3+debian-20) unstable; urgency=low

  * debian/patches/29_syspower_battery_support.diff:
    + Added patch to fix battery readings for kernel > 2.29.1-686, Thanks to
      Steve McIntyre <93sam@debian.org> for patch (Closes: #527810)
  * debian/control:
    + Updated Standards-Version to 3.8.4 (no changes needed)

 -- Kartik Mistry <kartik@debian.org>  Sun, 21 Mar 2010 11:08:33 +0530

xosview (1.8.3+debian-19) unstable; urgency=low

  * debian/patches/28_sh4_support.diff:
    + Added sh4 support. Thanks to Nobuhiro Iwamatsu <iwamatsu@nigauri.org> for
      patch (Closes: #549174)

 -- Kartik Mistry <kartik@debian.org>  Fri, 02 Oct 2009 10:35:35 +0530

xosview (1.8.3+debian-18) unstable; urgency=low

  * debian/patches/27_fix_const.diff:
    + Fixed FTBFS with gcc-4.4, Thanks to Stefan Potyra <sistpoty@ubuntu.com>
      (Closes: #548517)

 -- Kartik Mistry <kartik@debian.org>  Sun, 27 Sep 2009 01:36:58 +0530

xosview (1.8.3+debian-17) unstable; urgency=medium

  * debian/control:
    + Added missing Recommends on xfonts-base, it can't be Depends as Debian
      Policy Manual section 11.8.5, Thanks to Marc Coll <marcoll@ya.com> for
      reporting bug (Closes: #547499)
  * Urgency set to medium due to RC bug fix
  * Fixed patch name in last changelog entry

 -- Kartik Mistry <kartik@debian.org>  Mon, 21 Sep 2009 09:20:55 +0530

xosview (1.8.3+debian-16) unstable; urgency=low

  * Migrated to quilt from dpatch
  * debian/patches/26_spelling_fix.diff:
    + Added patch to fix spelling mistake
  * debian/control:
    + Updated Build-Depends for quilt (>= 0.40)
    + Wrapped up Build-Depends
  * debian/rules:
    + Changes for quilt migration
  * debian/README.source:
    + Updated for quilt usage

 -- Kartik Mistry <kartik@debian.org>  Sun, 20 Sep 2009 11:39:09 +0530

xosview (1.8.3+debian-15) unstable; urgency=low

  * Added debian/README.source
  * Added debian/xosview.desktop
  * Added debian/xosview.xpm from Xosview homepage
  * debian/control:
    + Upated debhelper dependency to 7
    + Updated Standards-Version to 3.8.3
  * debian/rules:
    + Used dh_prep instead of dh_install -k
    + Added installation for xosview.desktop and xpm icon
  * debian/menu:
    + Added icon xosview.xpm

 -- Kartik Mistry <kartik@debian.org>  Sat, 12 Sep 2009 12:13:47 +0530

xosview (1.8.3+debian-14) unstable; urgency=low

  * debian/patches/24_enhanced_memory.dpatch:
    + Patch for additional memory fields (Closes: #507577)
  * debian/patches/25_iostream_h_FTBFS_fixes.dpatch:
    + Patch to fix FTBFS due to use of iostream.h and fstream.h
  * debian/copyright:
    + Added missing Authors and Copyright owners

 -- Kartik Mistry <kartik@debian.org>  Sun, 02 Aug 2009 09:36:14 +0530

xosview (1.8.3+debian-13) unstable; urgency=low

  * debian/rules:
    + Make sure that old config.* files are not used, Fixed mistake
      in location of config.* files (Closes: #536254)

 -- Kartik Mistry <kartik@debian.org>  Mon, 13 Jul 2009 00:18:59 +0530

xosview (1.8.3+debian-12) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.8.2 (no changes needed)
  * debian/rules:
    + Make sure that old config.* files are not used (Closes: #535711) 
  * debian/copyright:
    + [Lintian] Removed reference to symlinked copyright

 -- Kartik Mistry <kartik@debian.org>  Mon, 06 Jul 2009 10:01:54 +0530

xosview (1.8.3+debian-11) unstable; urgency=low

  * debian/patches/23_cpumeter_guest_time.dpatch:
    + Fixed typo from patch, Thanks to Samuel Thibault for patch update
      (Closes: #502045)

 -- Kartik Mistry <kartik@debian.org>  Sun, 16 Nov 2008 10:27:17 +0530

xosview (1.8.3+debian-10) unstable; urgency=low

  * debian/control:
    + Updated my maintainer email address
  * debian/watch:
    + [Lintian] Fixed to mangle debian from version for DEHS

 -- Kartik Mistry <kartik@debian.org>  Mon, 18 Aug 2008 17:15:40 +0530

xosview (1.8.3+debian-9) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.8.0 (no changes needed)
  * debian/rules:
    + [Lintian] Fixed order of dh_makeshlibs
  * debian/patches/22_fix_valgrind_reports.dpatch:
    + Added patch to fix uninitialized values reported by Valgrind tool,
      Thanks to Michael Karcher <debian@mkarcher.dialup.fu-berlin.de>
      for patch (Closes: #323996)
  * debian/patches/23_cpumeter_guest_time.dpatch:
    + Added patch to add guest time in Linux cpumeter, Thanks to
      Samuel Thibault <samuel.thibault@ens-lyon.org> for patch
      (Closes: #486921)

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 24 Jun 2008 21:18:43 +0530

xosview (1.8.3+debian-8) unstable; urgency=low

  * debian/changelog:
    + Fixed missing patch name from previous upload
  * debian/patches/18_handle_high_irq_numbers.dpatch:
    + Added Debian bug number in patch header
  * debian/patches/19_fix_reading_interrupts.dpatch:
    + Fixed patch name in header
    + Added Debian bug number in patch header
  * debian/patches/20_fix_swapmeter.dpatch:
    + Fixed for wrong display value if swap is > 4 GB, Thanks to
      Michael Karcher <debian@mkarcher.dialup.fu-berlin.de> for patch
      (Closes: #151611, #399563)
  * debian/patches/21_fix_unclutter.dpatch:
    + Added patch to fix xosview stops updating the display after
      unclutter has "unhidden" the cursor (Closes: #384453)

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 03 Jun 2008 17:37:55 +0530

xosview (1.8.3+debian-7) unstable; urgency=low

  * debian/patches/18_handle_high_irq_numbers.dpatch:
    + Added patch to fix crash due to high irq numbers,
      Thanks to Michael Karcher <debian@mkarcher.dialup.fu-berlin.de>
      for patch (Closes: #483815)
  * debian/patches/19_fix_reading_interrupts.dpatch:

