=== debian/control ===
Source: xosview
Section: utils
Priority: optional
Maintainer: Kartik Mistry <kartik@debian.org>
Build-Depends: debhelper (>= 7),
               autoconf,
               autotools-dev,
               libx11-dev,
               libxpm-dev,
               libxt-dev
Homepage: http://sourceforge.net/projects/xosview/
Standards-Version: 3.8.4

Package: xosview
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: xfonts-base
Description: X based system monitor
 Xosview is a monitor which displays the status of several system based
 parameters. These include CPU usage, load average, memory usage, swap space
 usage, network usage, interrupts and serial port status. Appearance is fully
 configurable via command line or X resources.
