=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CXX=g++

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

configure: configure-stamp
configure-stamp:
	dh_testdir

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config/config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config/config.guess
endif
	cd config && $(MAKE)
	./configure CXX=$(CXX) \
		    --build=$(DEB_BUILD_GNU_TYPE) \
		    --host=$(DEB_HOST_GNU_TYPE) \
		    --prefix=/usr \
		    --disable-linux-memstat
	touch $@

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp config.log
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean linux/memstat/Makefile configure
	rm -f config/config.sub config/config.guess

install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	install -D -m 0755 xosview debian/xosview/usr/bin/xosview
	install -m 0644 Xdefaults \
		debian/xosview/etc/X11/app-defaults/XOsview
	grep xosvstipple Xdefaults.stipple >> \
		debian/xosview/etc/X11/app-defaults/XOsview
	install -m 0644 $(CURDIR)/debian/xosview.desktop \
		debian/xosview/usr/share/applications
	install -m 0644 $(CURDIR)/debian/xosview.xpm \
		debian/xosview/usr/share/pixmaps

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -k CHANGES
	dh_installdocs
	dh_installmenu
	dh_installman xosview.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
