=== debian/watch ===
version=3
opts=dversionmangle=s/\+debian// \
http://sf.net/xosview/xosview-([\d\.]+)\.tar\.gz
