## xosview 1.9.0

=== debian/changelog ===
xosview (1.9.0-1) unstable; urgency=low

  * New upstream release:
    + Dropped all patches from Debian, merged with upstream.
    + Removed debian/xosview.desktop, debian/xosview.xpm, adopted upstream.
  * debian/rules:
    + Added needed build targets.
    + Updated clean target.
  * debian/copyright:
    + Updated to latest DEP-5 format.
    + Added missing copyright and license for some files.
    + Updated Source field for new homepage.
  * debian/control:
    + Updated Homepage.
    + Mention WLAN meter in long description.
  * Updated debian/watch file.

 -- Kartik Mistry <kartik@debian.org>  Wed, 16 Nov 2011 10:52:24 +0530

xosview (1.8.3+debian-23) unstable; urgency=low

  * debian/patches/30_wireless_support.diff:
    + Added initial wireless support patch from Tim Ehlers <tehlers@gwdg.de>
      (Closes: #626504)
  * debian/control:
    + Updated Standards-Version to 3.9.2

 -- Kartik Mistry <kartik@debian.org>  Fri, 13 May 2011 08:35:55 +0530

xosview (1.8.3+debian-22) unstable; urgency=low

  * debian/patches/29_syspower_battery_support.diff:
    + Updated patch to include a fallback from energy-reporting batteries to
      charge-reporting ones, Thanks to Alexander Zangerl <az@debian.org> for
      patch (Closes: #617696)
  * debian/control:
    + Updated Standards-Version to 3.9.1 (no changes needed)
  * debian/copyright:
    + Do not mention link to BSD in common-license
    + Updated for DEP-5 r173 format

 -- Kartik Mistry <kartik@debian.org>  Thu, 17 Mar 2011 22:25:36 +0530
