=== debian/watch ===
version=3
http://www.pogo.org.uk/~mark/xosview/xosview-(.+)\.tar\.gz
