=== debian/changelog ===
xosview (1.9.1-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    + Fixed for upstream location change.

 -- Kartik Mistry <kartik@debian.org>  Thu, 29 Dec 2011 14:59:42 +0530
