=== debian/control ===
Source: xosview
Section: utils
Priority: optional
Maintainer: Kartik Mistry <kartik@debian.org>
Build-Depends: debhelper (>= 7),
               autoconf,
               autotools-dev,
               libx11-dev,
               libxpm-dev,
               libxt-dev
Homepage: https://github.com/hills/xosview
Standards-Version: 3.9.2

Package: xosview
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: xfonts-base
Description: X based system monitor
 Xosview is a monitor which displays the status of several system based
 parameters. These include CPU usage, load average, memory usage, swap space
 usage, network usage, Wireless LAN meter, interrupts and serial port status.
 Appearance is fully configurable via command line or X resources.
