=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,9 @@
 		    --disable-linux-memstat
 	touch $@
 
-build: configure-stamp build-stamp
+build: configure-stamp build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 	$(MAKE)
@@ -36,8 +38,10 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp config.log
-	[ ! -f Makefile ] || $(MAKE) distclean
-	dh_clean linux/memstat/Makefile configure
+	[ ! -f Makefile ] || $(MAKE) clean
+	dh_clean config.status Makefile Makefile.GNU.autodep \
+                 Makefile.config linux/memstat/Makefile linux/Makefile \
+                 Xdefaults
 	rm -f config/config.sub config/config.guess
 
 install:
@@ -47,13 +51,13 @@
 	dh_installdirs
 
 	install -D -m 0755 xosview debian/xosview/usr/bin/xosview
-	install -m 0644 Xdefaults \
+	install -m 0644 Xdefaults.in \
 		debian/xosview/etc/X11/app-defaults/XOsview
 	grep xosvstipple Xdefaults.stipple >> \
 		debian/xosview/etc/X11/app-defaults/XOsview
-	install -m 0644 $(CURDIR)/debian/xosview.desktop \
+	install -m 0644 $(CURDIR)/xosview.desktop \
 		debian/xosview/usr/share/applications
-	install -m 0644 $(CURDIR)/debian/xosview.xpm \
+	install -m 0644 $(CURDIR)/xosview.xpm \
 		debian/xosview/usr/share/pixmaps
 
 binary-indep: build install
@@ -77,4 +81,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
