## xosview 1.9.2

=== debian/changelog ===
xosview (1.9.2-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    + Updated DEP-5 URL.

 -- Kartik Mistry <kartik@debian.org>  Wed, 01 Feb 2012 09:34:44 +0530
