=== debian/changelog ===
xosview (1.9.3-3) unstable; urgency=low

  * debian/control:
    + ok. Drop hurd-i386 as of now, until we really fix it at upstream.
  * debian/patches:
    + Refreshed patch to fix FTBFS on s390/s390x.

 -- Kartik Mistry <kartik@debian.org>  Mon, 23 Apr 2012 21:56:29 +0530

xosview (1.9.3-2) unstable; urgency=low

  * debian/control:
    + Add hurd-i386 to Architecture list.
  * Added patch to fix FTBFS on s390/s390x.

 -- Kartik Mistry <kartik@debian.org>  Mon, 23 Apr 2012 17:36:26 +0530

xosview (1.9.3-1) unstable; urgency=low

  * New upstream release:
    + The build no longer uses GNU autoconfig. Control is via Makefile
      variables.
  * debian/rules:
    + Removed autoconfig/configure, not needed now.
  * debian/control:
    + Updated Build-Depends.
    + Set Architecture to 'linux-any', until bsd/ and gnu/ parts are fixed in
      upstream.

 -- Kartik Mistry <kartik@debian.org>  Mon, 23 Apr 2012 12:14:43 +0530

xosview (1.9.2-2) unstable; urgency=low

  * debian/rules:
    + Fixed build-arch target fun. Fixes FTBFS. Thanks to #debian-devel for
      help (Closes: #666353)
  * debian/control:
    + Updated Standards-Version to 3.9.3
  * debian/copyright:
    + Updated to copyright-format 1.0

 -- Kartik Mistry <kartik@debian.org>  Sat, 31 Mar 2012 00:01:48 +0530
