## xosview 1.12

=== Makefile ===
--- 
+++ 
@@ -8,9 +8,7 @@
 PREFIX ?= /usr/local
 
 BINDIR ?= $(PREFIX)/bin
-EXECDIR ?= $(PREFIX)/libexec
 MANDIR ?= $(PREFIX)/share/man
-DOCDIR ?= $(PREFIX)/share/doc
 
 # Optional build arguments; user may wish to override
 
@@ -18,7 +16,7 @@
 
 # Required build arguments
 
-CPPFLAGS += $(OPTFLAGS) -I.
+CPPFLAGS += $(OPTFLAGS) -I. -MMD
 LDLIBS += -lX11
 
 OBJS = Host.o \
@@ -52,7 +50,9 @@
 	linux/raidmeter.o \
 	linux/serialmeter.o \
 	linux/swapmeter.o \
-	linux/wirelessmeter.o
+	linux/wirelessmeter.o \
+	linux/acpitemp.o \
+	linux/coretemp.o
 CPPFLAGS += -Ilinux/
 endif
 
@@ -68,8 +68,9 @@
         bsd/memmeter.o \
         bsd/netmeter.o \
         bsd/pagemeter.o \
-        bsd/swapinternal.o \
-        bsd/swapmeter.o
+        bsd/swapmeter.o \
+        bsd/coretemp.o \
+        bsd/sensor.o
 CPPFLAGS += -Ibsd/
 endif
 
@@ -112,8 +113,8 @@
 		./mkdist $(VERSION)
 
 install:	xosview
-		$(INSTALL) -Dm 755 xosview $(DESTDIR)$(BINDIR)
-		$(INSTALL) -Dm 644 xosview.1 $(DESTDIR)$(MANDIR)/man1
+		$(INSTALL) -Dm 755 xosview $(DESTDIR)$(BINDIR)/xosview
+		$(INSTALL) -Dm 644 xosview.1 $(DESTDIR)$(MANDIR)/man1/xosview.1
 
 clean:
 		rm -f xosview $(OBJS) $(DEPS)
