=== debian/changelog ===
xosview (1.12-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 3.9.4

 -- Kartik Mistry <kartik@debian.org>  Fri, 28 Dec 2012 11:55:16 +0530

xosview (1.11-1) unstable; urgency=low

  * New upstream release.

 -- Kartik Mistry <kartik@debian.org>  Mon, 15 Oct 2012 08:48:03 +0530

xosview (1.9.4-1) unstable; urgency=low

  * New upstream release:
    + Dropped patch debian/patches/ftbfs_fixes.diff, merged upstream.
  * debian/rules, debian/control:
    + Added hardening support.
    + Added VCS-* fields for collab-maint repository.
  * debian/copyright:
    + Removed duplicate Copyright fields.

 -- Kartik Mistry <kartik@debian.org>  Thu, 06 Sep 2012 19:17:53 +0530
