=== debian/control ===
--- 
+++ 
@@ -2,9 +2,16 @@
 Section: utils
 Priority: optional
 Maintainer: Kartik Mistry <kartik@debian.org>
-Build-Depends: debhelper (>= 7), gawk, libx11-dev, libxpm-dev, libxt-dev
+Build-Depends: debhelper (>= 7),
+               dpkg-dev (>= 1.16.1),
+               gawk,
+               libx11-dev,
+               libxpm-dev,
+               libxt-dev
+Standards-Version: 3.9.4
 Homepage: https://github.com/hills/xosview
-Standards-Version: 3.9.3
+Vcs-Git: git://anonscm.debian.org/collab-maint/xosview.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xosview.git;a=summary
 
 Package: xosview
 Architecture: linux-any
