=== debian/rules ===
--- 
+++ 
@@ -3,22 +3,26 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
 CXX=g++
 
-#DEB_BUILD_ARCH_OS ?=$(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
+DEB_BUILD_ARCH_OS ?=$(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
 
 build: build-arch build-indep
 build-arch: build-stamp
 build-indep: build-stamp
 build-stamp:
 	dh_testdir
-
 #experimental kfreebsd-* support
-#ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
+#ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd-i386)
+#	$(MAKE) PLATFORM=bsd
+#elseif
+#ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd-amd64)
 #	$(MAKE) PLATFORM=bsd
 #endif
-
-	#Default is Linux
+#endif
 	$(MAKE) PLATFORM=linux
 	touch $@
