## xosview 1.14

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 -include .config
 
+AWK ?= awk
 INSTALL ?= install
 PLATFORM ?= linux
 
@@ -103,7 +104,7 @@
 		$(CXX) $(LDFLAGS) -o $@ $^ $(LDLIBS)
 
 defaultstring.cc:	Xdefaults defresources.awk
-		gawk -f defresources.awk Xdefaults > defaultstring.cc
+		$(AWK) -f defresources.awk Xdefaults > defaultstring.cc
 
 Xrm.o:		CXXFLAGS += -Wno-write-strings
 
@@ -113,10 +114,12 @@
 		./mkdist $(VERSION)
 
 install:	xosview
-		$(INSTALL) -Dm 755 xosview $(DESTDIR)$(BINDIR)/xosview
-		$(INSTALL) -Dm 644 xosview.1 $(DESTDIR)$(MANDIR)/man1/xosview.1
+		$(INSTALL) -d $(DESTDIR)$(BINDIR)
+		$(INSTALL) -d $(DESTDIR)$(MANDIR)/man1
+		$(INSTALL) -m 755 xosview $(DESTDIR)$(BINDIR)/xosview
+		$(INSTALL) -m 644 xosview.1 $(DESTDIR)$(MANDIR)/man1/xosview.1
 
 clean:
-		rm -f xosview $(OBJS) $(DEPS)
+		rm -f xosview $(OBJS) $(DEPS) defaultstring.cc
 
 -include $(DEPS)
