=== debian/changelog ===
xosview (1.14-3) unstable; urgency=low

  * Uploaded to unstable.
  * Builds fine with m68k with 1.14 version (Closes: #696872).

 -- Kartik Mistry <kartik@debian.org>  Mon, 06 May 2013 14:15:02 +0530

xosview (1.14-2) experimental; urgency=low

  * debian/rules:
    + Platform detection improvement, Thanks to Pino Toscano <pino@debian.org>
      (Closes: #706170).
  * debian/control:
    + Added libkvm-dev as build-depends for kfreebsd-*

 -- Kartik Mistry <kartik@debian.org>  Fri, 26 Apr 2013 13:46:38 +0530

xosview (1.14-1) experimental; urgency=low

  * New upstream release.
  * debian/rules, debian/control:
    + Enabled experimental support for kFreeBSD-* archs.

 -- Kartik Mistry <kartik@debian.org>  Wed, 24 Apr 2013 15:26:56 +0530
