=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper (>= 7),
                dpkg-dev (>= 1.16.1),
                gawk,
+               libkvm-dev [kfreebsd-any],
                libx11-dev,
                libxpm-dev,
                libxt-dev
@@ -14,7 +15,7 @@
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xosview.git;a=summary
 
 Package: xosview
-Architecture: linux-any
+Architecture: linux-any kfreebsd-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: xfonts-base
 Description: X based system monitor
