=== debian/rules ===
--- 
+++ 
@@ -9,21 +9,20 @@
 CXX=g++
 
 DEB_BUILD_ARCH_OS ?=$(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
+ifeq ($(DEB_BUILD_ARCH_OS),linux)
+  PLATFORM=linux
+else ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
+  PLATFORM=bsd
+else
+  $(error Missing implementation for $(DEB_BUILD_ARCH_OS))
+endif
 
 build: build-arch build-indep
 build-arch: build-stamp
 build-indep: build-stamp
 build-stamp:
 	dh_testdir
-#experimental kfreebsd-* support
-#ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd-i386)
-#	$(MAKE) PLATFORM=bsd
-#elseif
-#ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd-amd64)
-#	$(MAKE) PLATFORM=bsd
-#endif
-#endif
-	$(MAKE) PLATFORM=linux
+	$(MAKE) PLATFORM=$(PLATFORM)
 	touch $@
 
 clean:
