## xosview 1.16

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # Required build arguments
 
 CPPFLAGS += $(OPTFLAGS) -I. -MMD
-LDLIBS += -lX11
+LDLIBS += -lX11 -lXpm
 
 OBJS = Host.o \
 	Xrm.o \
@@ -98,6 +98,16 @@
 CPPFLAGS += -Isunos5/
 endif
 
+ifeq ($(PLATFORM), gnu)
+OBJS += gnu/get_def_pager.o \
+	gnu/loadmeter.o \
+	gnu/memmeter.o \
+	gnu/MeterMaker.o \
+	gnu/pagemeter.o \
+	gnu/swapmeter.o
+CPPFLAGS += -Ignu/
+endif
+
 DEPS := $(OBJS:.o=.d)
 
 xosview:	$(OBJS)
