=== debian/changelog ===
xosview (1.16-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 3.9.5

 -- Kartik Mistry <kartik@debian.org>  Fri, 27 Dec 2013 19:15:49 +0530

xosview (1.15-2) unstable; urgency=low

  * debian/rules:
    + Fix FTBFS on hurd, Thanks to Samuel Thibault for patch (Closes: #714511).

 -- Kartik Mistry <kartik@debian.org>  Mon, 12 Aug 2013 13:19:12 +0530

xosview (1.15-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Arch set to any since upstream fixed build on hurd.

 -- Kartik Mistry <kartik@debian.org>  Sun, 11 Aug 2013 11:50:06 +0530
