=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
                libx11-dev,
                libxpm-dev,
                libxt-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/hills/xosview
 Vcs-Git: git://anonscm.debian.org/collab-maint/xosview.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xosview.git;a=summary
 
 Package: xosview
-Architecture: linux-any kfreebsd-any
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: xfonts-base
 Description: X based system monitor
