=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
   PLATFORM=linux
 else ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
   PLATFORM=bsd
+else ifeq ($(DEB_BUILD_ARCH_OS),hurd)
+  PLATFORM=gnu
 else
   $(error Missing implementation for $(DEB_BUILD_ARCH_OS))
 endif
