## xosview 1.17

=== Makefile ===
--- 
+++ 
@@ -37,11 +37,14 @@
 # Optional platform type
 
 ifeq ($(PLATFORM), linux)
-OBJS += linux/MeterMaker.o \
+ARCH = $(shell uname -m)
+OBJS += sensorfieldmeter.o \
+	linux/MeterMaker.o \
 	linux/btrymeter.o \
 	linux/cpumeter.o \
 	linux/diskmeter.o \
 	linux/intmeter.o \
+	linux/intratemeter.o \
 	linux/lmstemp.o \
 	linux/loadmeter.o \
 	linux/memmeter.o \
@@ -52,13 +55,18 @@
 	linux/serialmeter.o \
 	linux/swapmeter.o \
 	linux/wirelessmeter.o \
-	linux/acpitemp.o \
-	linux/coretemp.o
+	linux/acpitemp.o
+ifeq ($(findstring 86,$(ARCH)),86)
+OBJS += linux/coretemp.o
+endif
 CPPFLAGS += -Ilinux/
+LDLIBS += -lm
 endif
 
 ifeq ($(PLATFORM), bsd)
-OBJS += bsd/MeterMaker.o \
+ARCH = $(shell uname -m)
+OBJS += sensorfieldmeter.o \
+        bsd/MeterMaker.o \
         bsd/btrymeter.o \
         bsd/cpumeter.o \
         bsd/diskmeter.o \
@@ -70,9 +78,12 @@
         bsd/netmeter.o \
         bsd/pagemeter.o \
         bsd/swapmeter.o \
-        bsd/coretemp.o \
         bsd/sensor.o
+ifeq ($(ARCH),$(filter $(ARCH),i386 amd64 x86_64))
+OBJS += bsd/coretemp.o
+endif
 CPPFLAGS += -Ibsd/
+LDLIBS += -lm
 endif
 
 ifeq ($(PLATFORM), irix65)
@@ -94,8 +105,11 @@
         sunos5/memmeter.o \
         sunos5/netmeter.o \
         sunos5/pagemeter.o \
-        sunos5/swapmeter.o
-CPPFLAGS += -Isunos5/
+        sunos5/swapmeter.o \
+        sunos5/intratemeter.o
+CPPFLAGS += -Isunos5/ -Wno-write-strings
+LDLIBS += -lkstat -lnsl -lsocket
+INSTALL = ginstall
 endif
 
 ifeq ($(PLATFORM), gnu)
