=== debian/changelog ===
xosview (1.17-2) unstable; urgency=medium

  * debian/patches/aarch64_build:
    + arm64 doesn't have sys/io.h and sys/perm.h like many other Linux
      architectures. Patch by Steve McIntyre <93sam@debian.org>
      (Closes: #759064)

 -- Kartik Mistry <kartik@debian.org>  Fri, 09 Oct 2015 21:05:19 +0530

xosview (1.17-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 3.9.6
  * Removed debian/menu as per policy.
  * debian/copyright:
    + Updated for upstream file location changes.

 -- Kartik Mistry <kartik@debian.org>  Thu, 08 Oct 2015 17:43:33 +0530
