=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: utils
 Priority: optional
 Maintainer: Kartik Mistry <kartik@debian.org>
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                gawk,
                libkvm-dev [kfreebsd-any],
                libx11-dev,
                libxpm-dev,
                libxt-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/hills/xosview
 Vcs-Git: git://anonscm.debian.org/collab-maint/xosview.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xosview.git;a=summary
