=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,6 @@
 	dh_testroot
 	dh_installchangelogs -k CHANGES
 	dh_installdocs
-	dh_installmenu
 	dh_installman xosview.1
 	dh_link
 	dh_strip
