## xosview 1.19

=== debian/changelog ===
xosview (1.19-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/aarch64_build:
    + Dropped. Merged upstream.

 -- Kartik Mistry <kartik@debian.org>  Sat, 10 Dec 2016 18:45:30 +0530

xosview (1.18-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/gcc6_compilation:
    + Dropped. Merged upstream.

 -- Kartik Mistry <kartik@debian.org>  Thu, 01 Sep 2016 11:43:58 +0530

xosview (1.17-3) unstable; urgency=low

  * debian/patches/gcc6_compilation:
    + Fix FTBFS with GCC 6 (Closes: #811819)
  * debian/control:
    + Updated to Standards-Version 3.9.8
    + Fixed Vcs-* URLs.

 -- Kartik Mistry <kartik@debian.org>  Thu, 30 Jun 2016 11:11:56 +0530
