=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                libx11-dev,
                libxpm-dev,
                libxt-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/hills/xosview
-Vcs-Git: git://anonscm.debian.org/collab-maint/xosview.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xosview.git;a=summary
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/xosview.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xosview.git
 
 Package: xosview
 Architecture: any
