## xosview 1.20

=== debian/changelog ===
xosview (1.20-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 4.1.3
    + Updated Vcs-* URLs.
  * debian/copyright:
    + Some cleanups. Removed old upstream contacts, use https.
  * Bumped debhelper compat to 11.
  * debian/rules:
    + Set hardening=+all.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #879902)
    + Let dh_auto_build pass cross compilers to make.
    + Fix build/host confusion.
    + Also pass ARCH= to make.

 -- Kartik Mistry <kartik@debian.org>  Sun, 21 Jan 2018 20:31:13 +0530
