=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: utils
 Priority: optional
 Maintainer: Kartik Mistry <kartik@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.1),
                gawk,
                libkvm-dev [kfreebsd-any],
                libx11-dev,
                libxpm-dev,
                libxt-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/hills/xosview
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/xosview.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xosview.git
+Vcs-Git: https://salsa.debian.org/debian/xosview.git
+Vcs-Browser: https://salsa.debian.org/debian/xosview
 
 Package: xosview
 Architecture: any
