=== debian/rules ===
--- 
+++ 
@@ -3,28 +3,31 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
+
+include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
 
 CXX=g++
 
-DEB_BUILD_ARCH_OS ?=$(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
-ifeq ($(DEB_BUILD_ARCH_OS),linux)
-  PLATFORM=linux
-else ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
-  PLATFORM=bsd
-else ifeq ($(DEB_BUILD_ARCH_OS),hurd)
-  PLATFORM=gnu
-else
-  $(error Missing implementation for $(DEB_BUILD_ARCH_OS))
+PLATFORM_MAP_linux = linux
+PLATFORM_MAP_kfreebsd = bsd
+PLATFORM_MAP_hurd = gnu
+PLATFORM = $(PLATFORM_MAP_$(DEB_HOST_ARCH_OS))
+ifeq ($(PLATFORM),)
+  $(error Missing implementation for $(DEB_HOST_ARCH_OS))
 endif
+
+ARCH_MAP_amd64 = x86_64
+ARCH = $(or $(ARCH_MAP_$(DEB_HOST_ARCH_CPU)),$(DEB_HOST_ARCH_CPU))
 
 build: build-arch build-indep
 build-arch: build-stamp
 build-indep: build-stamp
 build-stamp:
 	dh_testdir
-	$(MAKE) PLATFORM=$(PLATFORM)
+	dh_auto_build -- PLATFORM=$(PLATFORM) ARCH=$(ARCH)
 	touch $@
 
 clean:
