=== debian/changelog ===
xosview (1.21-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    + Use Github instead of upstream release download page.
  * debian/control:
    + Updated Standards-Version to 4.2.1
  * debian/rules:
    + Also install xosview.png

 -- Kartik Mistry <kartik@debian.org>  Mon, 15 Oct 2018 21:09:05 +0530
