=== debian/rules ===
--- 
+++ 
@@ -52,6 +52,8 @@
 		debian/xosview/usr/share/applications
 	install -m 0644 $(CURDIR)/xosview.xpm \
 		debian/xosview/usr/share/pixmaps
+	install -m 0644 $(CURDIR)/xosview.png \
+		debian/xosview/usr/share/pixmaps
 
 binary-indep: build install
