=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%xosview-$1.tar.gz%" \
     https://github.com/hills/xosview/tags \
     (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
