## xosview 1.22

=== debian/changelog ===
xosview (1.22-1) unstable; urgency=medium

  * New upstream release:
    + Fix build on arm by not including sys/io.h (Closes: #959509)
  * debian/control:
    + Switched to debhelper-compat.
    + Updated Standards-Version to 4.5.0
    + Added 'Rules-Requires-Root' field.
  * Use dh sequence in debian/rules.

 -- Kartik Mistry <kartik@debian.org>  Wed, 06 May 2020 21:29:15 +0530

xosview (1.21-2) unstable; urgency=low

  * Bumped dh to 12.
  * debian/control:
    + Updated Standards-Version to 4.4.1
  * Added debian/gitlab-ci.yml.

 -- Kartik Mistry <kartik@debian.org>  Mon, 21 Oct 2019 13:14:05 +0530
