=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: utils
 Priority: optional
 Maintainer: Kartik Mistry <kartik@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1),
                gawk,
                libkvm-dev [kfreebsd-any],
                libx11-dev,
                libxpm-dev,
                libxt-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/hills/xosview
 Vcs-Git: https://salsa.debian.org/debian/xosview.git
 Vcs-Browser: https://salsa.debian.org/debian/xosview
+Rules-Requires-Root: no
 
 Package: xosview
 Architecture: any
