## xosview 1.23

=== debian/changelog ===
xosview (1.23-2) unstable; urgency=low

  [ Pino Toscano ]
  * Fix/simplify installation: use the upstream install target to install as
    upstream does, without the need to copy files manually.

  [ Debian Janitor ]
  * Fix day-of-week for changelog entries 1.8.2-12, 1.8.2-8.1.

  [ Kartik Mistry ]
  * debian/control:
    + Updated Standards-Version to 4.6.0

 -- Kartik Mistry <kartik@debian.org>  Sat, 30 Oct 2021 19:16:54 +0530

xosview (1.23-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 4.5.1
  * Added debian/upstream/metadata.
  * Clarify license text in debian/copyright.

 -- Kartik Mistry <kartik@debian.org>  Sat, 16 Jan 2021 13:47:34 +0530
