=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libx11-dev,
                libxpm-dev,
                libxt-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/hills/xosview
 Vcs-Git: https://salsa.debian.org/debian/xosview.git
 Vcs-Browser: https://salsa.debian.org/debian/xosview
