=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

CXX=g++

PLATFORM_MAP_linux = linux
PLATFORM_MAP_kfreebsd = bsd
PLATFORM_MAP_hurd = gnu
PLATFORM = $(PLATFORM_MAP_$(DEB_HOST_ARCH_OS))
ifeq ($(PLATFORM),)
  $(error Missing implementation for $(DEB_HOST_ARCH_OS))
endif

ARCH_MAP_amd64 = x86_64
ARCH = $(or $(ARCH_MAP_$(DEB_HOST_ARCH_CPU)),$(DEB_HOST_ARCH_CPU))

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- PLATFORM=$(PLATFORM) ARCH=$(ARCH)

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
	install -m 0644 Xdefaults \
		debian/xosview/etc/X11/app-defaults/XOsview
	grep xosvstipple Xdefaults.stipple >> \
		debian/xosview/etc/X11/app-defaults/XOsview

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGES
