## xosview 1.24

=== Makefile ===
--- 
+++ 
@@ -33,6 +33,7 @@
 	llist.o \
 	main.o \
 	meter.o \
+	stringutils.o \
 	xosview.o \
 	xwin.o
