=== debian/changelog ===
xosview (1.24-1) unstable; urgency=low

  [ Kartik Mistry ]
  * New upstream release.
  * Updated Standards-Version to 4.6.2
  * Updated debian/copyright.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.

 -- Kartik Mistry <kartik@debian.org>  Fri, 03 Feb 2023 11:01:32 +0530

xosview (1.23-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Also pass PLATFORM and ARCH to dh_auto_install.
    (Closes: #999341)

  [ Kartik Mistry ]
  * Updated debian/copyright.
  * Updated debian/watch.

 -- Kartik Mistry <kartik@debian.org>  Sat, 09 Apr 2022 19:30:22 +0530
