=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Kartik Mistry <kartik@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dpkg-dev (>= 1.16.1),
                gawk,
                libkvm-dev [kfreebsd-any],
                libx11-dev,
                libxpm-dev,
                libxt-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/hills/xosview
 Vcs-Git: https://salsa.debian.org/debian/xosview.git
 Vcs-Browser: https://salsa.debian.org/debian/xosview
