=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	dh_auto_build -- PLATFORM=$(PLATFORM) ARCH=$(ARCH)
 
 override_dh_auto_install:
-	dh_auto_install -- PREFIX=/usr
+	dh_auto_install -- PREFIX=/usr PLATFORM=$(PLATFORM) ARCH=$(ARCH)
 	install -m 0644 Xdefaults \
 		debian/xosview/etc/X11/app-defaults/XOsview
 	grep xosvstipple Xdefaults.stipple >> \
