## xosview 1.25

=== debian/changelog ===
xosview (1.25-1) unstable; urgency=low

  * New upstream release.
  * Dropped debian/patches/accute.diff, merged upstream.
  * debian/control:
    + Removed libkvm-dev from Build-Depends. kfreebsd is no longer supported.
    + Updated Standards-Version to 4.7.3
    + Removed redundant field 'Priority'.

 -- Kartik Mistry <kartik@debian.org>  Fri, 23 Jan 2026 11:23:32 +0530

xosview (1.24-2) unstable; urgency=low

  * Updated debian/watch to standard 5.
  * debian/control:
    + Updated Standards-Version to 4.7.2
    + Removed: Rules-Requires-Root field.
  * debian/copyright:
    + Removed old FSF address.
  * Added patch fix quotation marks in manpage, patch already merged upstream.

 -- Kartik Mistry <kartik@debian.org>  Tue, 25 Nov 2025 11:42:53 +0530
