=== debian/control ===
--- 
+++ 
@@ -1,18 +1,11 @@
 Source: xosview
 Section: utils
-Priority: optional
 Maintainer: Kartik Mistry <kartik@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               gawk,
-               libkvm-dev [kfreebsd-any],
-               libx11-dev,
-               libxpm-dev,
-               libxt-dev
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), gawk, libx11-dev, libxpm-dev, libxt-dev
+Standards-Version: 4.7.3
 Homepage: https://github.com/hills/xosview
 Vcs-Git: https://salsa.debian.org/debian/xosview.git
 Vcs-Browser: https://salsa.debian.org/debian/xosview
-Rules-Requires-Root: no
 
 Package: xosview
 Architecture: any
