=== debian/watch ===
Version: 5

Template: Github
Owner: hills
Project: xosview
